> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workshifts



## OpenAPI

````yaml /openapi/metrics.json get /v1/crm/metrics/workshifts/
openapi: 3.0.3
info:
  title: Yume API — Аналитика
  version: 1.0.0
  description: Системные метрики, аналитика и отчётность.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/metrics/workshifts/:
    get:
      tags:
        - workshifts
      summary: Get workshifts
      operationId: workshifts_list
      parameters:
        - in: query
          name: end_at__date__gte
          schema:
            type: string
            format: date
        - in: query
          name: end_at__date__lte
          schema:
            type: string
            format: date
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: pageSize
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: rental_point
          schema:
            type: integer
        - in: query
          name: rental_point__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
        - in: query
          name: start_at__date__gte
          schema:
            type: string
            format: date
        - in: query
          name: start_at__date__lte
          schema:
            type: string
            format: date
        - in: query
          name: user
          schema:
            type: integer
        - in: query
          name: user__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedWorkshiftList'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PaginatedWorkshiftList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/Workshift'
    Workshift:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        start_at:
          type: string
          format: date-time
          title: Начало смены
        end_at:
          type: string
          format: date-time
          nullable: true
          title: Конец смены
        user:
          type: integer
        rental_point:
          type: integer
        extra: {}
      required:
        - id
        - rental_point
        - start_at
        - user
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````